import { Router, Route, Set } from '@redwoodjs/router'

import { MainLayout } from './layouts'
import { Home } from './pages/home'
import { NotFound } from './pages/not-found'
import { Patterns } from './pages/patterns'
import { PatternDetails } from './pages/patterns/details'

const Routes = () => {
  return (
    <Router>
      <Set wrap={MainLayout}>
        <Route path="/" page={Home} name="home" />
        <Route path="/patterns" page={Patterns} name="patterns" />
        <Route path="/pattern/{id}" page={PatternDetails} name="pattern" />
      </Set>
      <Route notfound page={NotFound} />
    </Router>
  )
}

export default Routes
