import React from 'react'

import { Badge, Box, Divider, HStack, Icon, IconButton } from '@chakra-ui/react'
import { FaArrowLeft } from 'react-icons/fa'

import { Link, back, navigate, routes, useLocation } from '@redwoodjs/router'

export const TOPBAR_HEIGHT_PX = '40px'
export const Topbar: React.FC = () => {
  const { pathname } = useLocation()

  const handleOnBack = () => {
    if (pathname === '/') {
      navigate(routes.home())
    } else {
      back()
    }
  }
  return (
    <>
      <HStack
        h={TOPBAR_HEIGHT_PX}
        w="full"
        justifyContent="space-between"
        pr="4"
        bgColor="blue.200"
        position="sticky"
        top="0"
        spacing="0"
      >
        {pathname !== '/' ? (
          <IconButton
            aria-label="back"
            variant="unstyled"
            onClick={handleOnBack}
            icon={<Icon as={FaArrowLeft} color="gray.600" />}
          />
        ) : (
          <Box />
        )}

        <Link to={routes.patterns()}>
          <Badge textAlign="right" color="gray.600" variant="-2u">
            Patrones
          </Badge>
        </Link>
      </HStack>
      <Divider />
    </>
  )
}
